Index: XIOS/trunk/xios_test_suite/TEST_SUITE/default_param.json
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/default_param.json	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/default_param.json	(revision 1888)
@@ -1,11 +1,11 @@
 [
 	{
-	"ATMdomain": "'lmdz'",
-        "UsingServer2": "'true'",
-        "RatioServer2": "50",
-        "NumberPoolsServer2": "1",
-        "Duration": "'1d'",
-        "NumberClients": "4",
-	"NumberServers": "4"
+	    "ATMdomain": "lmdz",
+        "UsingServer2": "true",
+        "RatioServer2": 50,
+        "NumberPoolsServer2": 1,
+        "Duration": "1d",
+        "NumberClients": 4,
+	    "NumberServers": 4
 	}
 ]
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/iodef.xml
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/iodef.xml	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/iodef.xml	(revision 1888)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> atm::domain </variable>
+      <variable id="domain"> XIOS::ATMdomain </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -55,7 +55,7 @@
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">xios::usingSrv2</variable>
-        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
-        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
+        <variable id="using_server2" type="bool">XIOS::UsingServer2</variable>
+        <variable id="ratio_server2" type="int">XIOS::RatioServer2</variable>
+        <variable id="number_pools_server2" type="int">XIOS::NumberPoolsServer2</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/my_prod.sh
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/my_prod.sh	(revision 1888)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/my_prod.sh	(revision 1888)
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+echo "running my_prod.sh"
+
+export svnR=$(svn info --show-item revision ../../)
+svnurl=$(svn info --show-item url ../../)
+PWD=$(pwd)
+
+fn=report_${svnR}_${arch}_${mode}.txt
+echo "#revision" ${svnR} > ${fn}
+echo "#url" ${svnurl} >> ${fn}
+echo "#machine" ${xios_machine_name} >> ${fn}
+echo "#build_dir" $(pwd)/build_${arch}_${mode} >> ${fn}
+echo "#arch" $arch >> ${fn}
+echo "#mode" $mode >> ${fn}
+
+python3 step1.py
+cmd=$(ccc_msub full_job_${arch}_${mode}.sh)
+jobid="${cmd//[!0-9]/}"
+#jobid=9999999
+
+i=0
+output=$(ccc_mpp | grep ${jobid})
+while [ ! -z "$output" ]
+do
+echo "job" $jobid "running for about" ${i} seconds
+sleep 5
+((i+=5))
+output=$(ccc_mpp | grep ${jobid})
+done
+
+python3 step2.py
+python3 step3.py
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene	(revision 1888)
@@ -1,5 +1,51 @@
 #!/bin/bash
+module load subversion
+module load python3
 
-ccc_msub -E "--wait" job_irene.sh 
+export arch=X64_IRENE
+export mode=prod
+export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
+export svnR=$(svn info --show-item revision ../../)
+
+echo "Start Building XIOS ... "
+bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
+
+export build_status=$?
+if [[ ${build_status} == 0 ]]
+then
+  echo "XIOS Build Finished. Start Unit Tests"
+  bash ./my_prod.sh
+  rundir=${xios_test_suite_repository}/RUN
+  mkdir -p $rundir ; CHMOD  $rundir
+  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
+
+  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+
+  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+
+  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/RUN/def_files
+  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
+
+  for i in $(ls -d test_*/)
+  do
+    mkdir -p ${rundir}/def_files/${svnR}/${i%%}
+    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
+    for j in $(ls -d ${i%%/}/CONFIG_*)
+    do
+      mkdir -p ${rundir}/def_files/${svnR}/${j%%}
+      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
+    done
+    CHMOD ${rundir}/def_files
+  done
+
+
+else
+  echo "XIOS Build Failed. Skip Unit Tests"
+fi
+
+
+
+
+#ccc_msub -E "--wait" job_irene.sh 
 
 #bash -c "python generate_test.py"
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene_local
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene_local	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene_local	(revision 1888)
@@ -1,5 +1,30 @@
 #!/bin/bash
+module load subversion
+module load python3
 
-ccc_msub -E "--wait" job_irene_local.sh 
+export arch=X64_IRENE
+export mode=prod
 
-bash -c "python generate_test.py"
+export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
+
+echo "Start Building XIOS ... "
+bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
+
+export build_status=$?
+if [[ ${build_status} == 0 ]]
+then
+  echo "XIOS Build Finished. Start Unit Tests"
+  bash ./my_prod.sh
+else
+  echo "XIOS Build Failed. Skip Unit Tests"
+fi
+
+
+
+
+#ccc_msub -E "--wait" job_irene.sh 
+
+#bash -c "python generate_test.py"
+#mv _test_${xios_machine_name}_info.js test_${xios_machine_name}_info.js
+#copy_to_thredds  test_${xios_machine_name}_info.js
+#mv test_${xios_machine_name}_info.js _test_${xios_machine_name}_info.js
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1888)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1888)
@@ -0,0 +1,180 @@
+import glob
+import sys
+import subprocess
+import os
+import json
+import itertools
+import copy
+
+param_list = ["ATMdomain", "UsingServer2", "NumberClients", "NumberServers", "RatioServer2", "NumberPoolsServer2", "Duration"]
+param_short_list = ["ATMdom", "Srv2", "NbClnt", "NbSrv", "RatioSrv2", "NbPlSrv2", "Duration"]
+
+mode=os.getenv("mode")
+arch=os.getenv("arch")
+
+def OSinfo(runthis):
+    red = lambda text: '\033[0;31m' + text + '\033[0m'
+    osstdout = subprocess.Popen(runthis, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.STDOUT, close_fds=True)
+    theInfo = osstdout.communicate()[0].strip()
+    if osstdout.returncode!=0:
+        print(red(runthis+" FAILED"))
+        print >> sys.stderr, osstdout.returncode
+        sys.exit()
+
+def product_dict(**kwargs):
+    keys = kwargs.keys()
+    vals = kwargs.values()
+    for instance in itertools.product(*vals):
+        yield dict(zip(keys, instance))
+
+def get_default_param():
+    f=open("default_param.json", 'r')
+    default_param = json.load(f)
+    f.close()
+    return default_param[0]
+
+def generate_job_irene(fn, n):
+    with open(fn, "w") as fh:
+        fh.write("#!/bin/bash\n")
+        fh.write("#MSUB -r XIOS\n")
+        fh.write("#MSUB -eo\n")
+        fh.write("#MSUB -o client_output.out\n")
+        fh.write("#MSUB -e client_error.out\n")
+        fh.write("#MSUB -c 1\n")
+        fh.write("#MSUB -n 24\n")
+        fh.write("#MSUB -X\n")
+        fh.write("#MSUB -x\n")
+        fh.write("#MSUB -T 1800\n")
+        fh.write("#MSUB -q skylake\n")     
+        fh.write("#MSUB -A gen0826\n")
+        fh.write("#MSUB -Q test\n")
+        fh.write("#MSUB -m work,scratch\n")
+        fh.write("source ../../../BUILD/build_"+arch+"_"+mode+"/arch.env\n")
+        fh.write("ccc_mprun -n "+str(n)+" generic_testcase.exe\n")
+
+
+def update_full_job(location, n):
+    with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
+            fh.write("\ncd ${location}/"+location+"; ccc_mprun -E \'--exclusive\' -n "+str(n)+" generic_testcase.exe > output.out 2> error.out &\n")
+            fh.write("PIDS+=($!)\n")
+            fh.write("CONFIGS+=("+location+")\n")
+
+
+def main():
+    with open("full_job_"+arch+"_"+mode+".sh", "w") as fh:
+        fh.write("#!/bin/bash\n")
+        fh.write("#MSUB -r XIOS\n")
+        fh.write("#MSUB -eo\n")
+        fh.write("#MSUB -o client_output.out\n")
+        fh.write("#MSUB -e client_error.err\n")
+        fh.write("#MSUB -c 1\n")
+        fh.write("#MSUB -n 24\n")
+        fh.write("#MSUB -X\n")
+        fh.write("#MSUB -x\n")
+        fh.write("#MSUB -T 1800\n")
+        fh.write("#MSUB -q skylake\n")     
+        fh.write("#MSUB -A gen0826\n")
+        fh.write("#MSUB -Q test\n")
+        fh.write("#MSUB -m work,scratch\n")
+        fh.write("export location=/ccc/cont003/home/gencmip6/wangyush/XIOS/trunk/xios_test_suite/RUN_TEST_SUITE\n")
+        fh.write("export log_location=/ccc/cont003/home/gencmip6/wangyush/XIOS/trunk/xios_test_suite/RUN_TEST_SUITE\n")
+        fh.write("source ../BUILD/build_"+arch+"_"+mode+"/arch.env\n")
+        fh.write("echo \"parallel launch arch="+arch+" mode="+mode+"\" >> ${log_location}/Log.txt\n")
+        fh.write("date >> ${log_location}/Log.txt\n")
+    
+    test_folder_list = glob.glob('test_*')
+    all_config=dict()
+
+    default_param = get_default_param()
+    # print(default_param)
+
+    for test_folder in test_folder_list:
+        config_list=[]
+        config_name=[]
+        with open(test_folder+"/user_param.json", "r") as f:
+            config_dict = json.load(f)
+
+        for i in range(len(config_dict)):
+            config_list.extend(list(product_dict(**config_dict[i])))
+            #print(config_list)
+        for i in range(len(config_list)):
+            # print(config_list[i])
+            keylist = list(config_list[i].keys())
+            # print(keylist)
+            full_config = copy.deepcopy(default_param)
+            for j in range(len(keylist)):
+                full_config[ keylist[j] ] = config_list[i][keylist[j]]
+
+            #print(full_config)
+            mystr = str(full_config)
+            mystr = mystr.replace("{", "")
+            mystr = mystr.replace("}", "")
+            mystr = mystr.replace("[", "")
+            mystr = mystr.replace("]", "")
+            mystr = mystr.replace(",", "")
+            mystr = mystr.replace(":", "")
+            mystr = mystr.replace("'", "")
+            mystr = mystr.replace("b'", "")
+            mystr = mystr.replace(" ", "_")
+            for j in range(len(param_list)):
+                mystr = mystr.replace(param_list[j], param_short_list[j])
+            if not mystr in config_name:
+                config_name.append(mystr)
+            #print(mystr)
+            OSinfo("mkdir -p "+test_folder+"/CONFIG_"+mystr)
+            OSinfo("cp build_"+arch+"_"+mode+"/bin/generic_testcase.exe "+test_folder+"/CONFIG_"+mystr)
+            OSinfo("cp iodef.xml "+test_folder+"/CONFIG_"+mystr+"/iodef.xml.tmp")
+
+            with open(test_folder+"/CONFIG_"+mystr+"/iodef.xml.tmp", "r") as f:
+                lines = f.readlines()
+                for i in range(len(lines)):
+                    if "XIOS::" in lines[i]:
+                        config_keys = list(full_config.keys())
+                        for idx in range(len(config_keys)):
+                            lines[i] = lines[i].replace("XIOS::"+config_keys[idx], str(full_config[config_keys[idx]]))
+                with open(test_folder+"/CONFIG_"+mystr+"/iodef.xml", "w") as g:
+                    for line in lines:
+                        g.write(line)
+
+            OSinfo("rm -f "+test_folder+"/CONFIG_"+mystr+"/iodef.xml.tmp")
+            OSinfo("cp "+test_folder+"/context_atm.xml "+test_folder+"/CONFIG_"+mystr+"/")
+            OSinfo("cp context_grid_dynamico.xml "+test_folder+"/CONFIG_"+mystr+"/")
+            OSinfo("cp dynamico_grid.nc "+test_folder+"/CONFIG_"+mystr+"/")
+            OSinfo("cp "+test_folder+"/checkfile.def "+test_folder+"/CONFIG_"+mystr+"/")
+            with open(test_folder+"/CONFIG_"+mystr+"/param.def", "w") as fh:
+                fh.write("&params_run\n")
+                fh.write("duration=\'"+full_config["Duration"]+"\'\n")
+                fh.write("nb_proc_atm="+str(full_config["NumberClients"])+"\n")
+                fh.write("/\n")
+            with open(test_folder+"/CONFIG_"+mystr+"/all_param.def", "w") as fh:
+                fh.write("&params_run\n")
+                for param in param_list:
+                    fh.write(param+"="+str(full_config[param])+"\n")
+                fh.write("/\n")
+
+            generate_job_irene(test_folder+"/CONFIG_"+mystr+"/job.sh", full_config['NumberClients']+full_config['NumberServers'])
+            update_full_job(test_folder+"/CONFIG_"+mystr, full_config['NumberClients']+full_config['NumberServers'])
+
+        #print(config_name)
+        all_config[test_folder] = config_name
+
+    with open("full_job_"+arch+"_"+mode+".sh", "a") as fh:
+        fh.write("\nfor pid in ${PIDS[@]}; do\n")
+        fh.write("wait ${pid}\n")
+        fh.write("STATUS+=($?)\ndone\n")
+        fh.write("\ni=0\n")
+        fh.write("#for st in ${STATUS[@]}; do\n")
+        fh.write("#if [[ ${st} -ne 0 ]]; then\n")
+        fh.write("#echo \"${CONFIGS[${i}]} -1\" >> ${location}/plain_report.txt\n")
+        fh.write("#else\n")
+        fh.write("#echo \"${CONFIGS[${i}]} 1\" >> ${location}/plain_report.txt\n")
+        fh.write("#fi\n")
+        fh.write("#((i+=1))\n")
+        fh.write("#done\n\n")
+        fh.write("#wait\n")
+        fh.write("date >> ${log_location}/Log.txt\n")
+
+    #print(all_config)
+
+if __name__== "__main__":
+  main()
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/step2.py
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/step2.py	(revision 1888)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/step2.py	(revision 1888)
@@ -0,0 +1,67 @@
+import glob
+import sys
+import subprocess
+import os
+import json
+import itertools
+import copy
+
+param_list = ["ATMdomain", "UsingServer2", "NumberClients", "NumberServers", "RatioServer2", "NumberPoolsServer2", "Duration"]
+param_short_list = ["ATMdom", "Srv2", "NbClnt", "NbSrv", "RatioSrv2", "NbPlSrv2", "Duration"]
+
+mode=os.getenv("mode")
+arch=os.getenv("arch")
+svnr=os.getenv("svnR")
+
+
+def OSinfo(runthis):
+    red = lambda text: '\033[0;31m' + text + '\033[0m'
+    osstdout = subprocess.Popen(runthis, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.STDOUT, close_fds=True)
+    theInfo = osstdout.communicate()[0].strip()
+    if osstdout.returncode!=0:
+        print(red(runthis+" FAILED"))
+        print >> sys.stderr, osstdout.returncode
+        sys.exit()
+    # else:
+    #     print(runthis+" OK")
+
+
+def get_default_param():
+    f=open("default_param.json", 'r')
+    default_param = json.load(f)
+    f.close()
+    return default_param[0]
+
+def nonblank_lines(f):
+    for l in f:
+        line = l.rstrip()
+        if line and not line.startswith("#"):
+            yield line
+
+def main():
+    
+    test_folder_list = glob.glob('test_*')
+
+    for test_folder in test_folder_list:
+        config_list = glob.glob(test_folder+"/CONFIG_*")
+        #print(*config_list, sep = "\n")
+        
+        
+        with open(test_folder+"/checkfile.def", "r") as fh:
+            checkfiles = list(nonblank_lines(fh))
+
+        with open("report_"+svnr+"_"+arch+"_"+mode+".txt", "a") as report:
+            for config in config_list:
+                folder_name = list(config.split("/"))[0]
+                config_name = list(config.split("/"))[1]
+                for checkfile in checkfiles:
+                    if os.path.exists(config+"/"+checkfile) and os.path.exists("ref_"+config+"/"+checkfile):
+                        OSinfo("cdo -W diffn "+config+"/"+checkfile+" "+"ref_"+config+"/"+checkfile+" | > diff.txt")
+                        if os.stat("diff.txt").st_size==0:
+                            report.write(folder_name+" "+folder_name+"@"+config_name+" "+folder_name+"@"+config_name+"@"+checkfile+" "+str(1)+"\n")
+                    elif os.path.exists(config+"/"+checkfile):
+                        report.write(folder_name+" "+folder_name+"@"+config_name+" "+folder_name+"@"+config_name+"@"+checkfile+" "+str(0)+"\n")
+                   
+
+if __name__== "__main__":
+  main()
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/step3.py
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/step3.py	(revision 1888)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/step3.py	(revision 1888)
@@ -0,0 +1,52 @@
+import glob
+import sys
+import subprocess
+import os
+import json
+import itertools
+import copy
+
+mode=os.getenv("mode")
+arch=os.getenv("arch")
+svnr=os.getenv("svnR")
+repository=os.getenv("xios_test_suite_repository")
+
+def OSinfo(runthis):
+    red = lambda text: '\033[0;31m' + text + '\033[0m'
+    osstdout = subprocess.Popen(runthis, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.STDOUT, close_fds=True)
+    theInfo = osstdout.communicate()[0].strip()
+    if osstdout.returncode!=0:
+        print(red(runthis+" FAILED"))
+        print >> sys.stderr, osstdout.returncode
+        sys.exit()
+    # else:
+    #     print(runthis+" OK")
+
+
+def get_default_param():
+    f=open("default_param.json", 'r')
+    default_param = json.load(f)
+    f.close()
+    return default_param[0]
+
+def nonblank_lines(f):
+    for l in f:
+        line = l.rstrip()
+        if line and not line.startswith("#"):
+            yield line
+
+def main():
+    print(svnr) 
+    print(repository)
+    test_folder_list = glob.glob('test_*')
+
+    for test_folder in test_folder_list:
+        OSinfo("cp "+test_folder+"/user_param.json "+repository+"/RUN/def_files/"+svnr+"/"+test_folder)
+        config_list = glob.glob(test_folder+"/CONFIG_*")
+        #print(*config_list, sep = "\n")
+        
+        
+                   
+
+if __name__== "__main__":
+  main()
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_axis_algo/checkfile.def
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_axis_algo/checkfile.def	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_axis_algo/checkfile.def	(revision 1888)
@@ -1,3 +1,3 @@
-all
+#all
 atm_output_zoom.nc
 #atm_output_inverse.nc
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_axis_algo/user_param.json
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_axis_algo/user_param.json	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_axis_algo/user_param.json	(revision 1888)
@@ -1,14 +1,14 @@
 [
 	{
-		"ATMdomain": "'lmdz'",
-		"UsingServer2": "'true'",
-		"NumberServers": "2 4",
-		"RatioServer2": "50"
+		"ATMdomain": ["lmdz"],
+		"UsingServer2": ["true"],
+		"NumberServers": [2, 4],
+		"RatioServer2": [50]
 	},
 	{
-		"UsingServer2": "'false'",
-		"NumberServers": "6 8",
-		"ATMdomain": "'lmdz'",
-		"RatioServer2": "50"
+		"UsingServer2": ["true"],
+		"NumberServers": [6, 8],
+		"ATMdomain": ["lmdz"],
+		"RatioServer2": [50]
 	}
 ]
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_domain_algo/user_param.json
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_domain_algo/user_param.json	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_domain_algo/user_param.json	(revision 1888)
@@ -1,14 +1,14 @@
 [
 	{
-		"ATMdomain": "'lmdz'",
-		"UsingServer2": "'true'",
-		"NumberServers": "2 4",
-		"RatioServer2": "50"
+		"ATMdomain": ["lmdz"],
+		"UsingServer2": ["true"],
+		"NumberServers": [2, 4],
+		"RatioServer2": [50]
 	},
 	{
-		"UsingServer2": "'false'",
-		"NumberServers": "6 8",
-		"ATMdomain": "'lmdz'",
-		"RatioServer2": "50"
+		"UsingServer2": ["true"],
+		"NumberServers": [6, 8],
+		"ATMdomain": ["lmdz"],
+		"RatioServer2": [50]
 	}
 ]
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/user_param.json
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/user_param.json	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/user_param.json	(revision 1888)
@@ -1,14 +1,14 @@
 [
 	{
-		"ATMdomain": "'lmdz'",
-		"UsingServer2": "'true'",
-		"NumberServers": "2 4",
-		"RatioServer2": "50"
+		"ATMdomain": ["lmdz"],
+		"UsingServer2": ["true"],
+		"NumberServers": [2, 4],
+		"RatioServer2": [50]
 	},
 	{
-		"UsingServer2": "'false'",
-		"NumberServers": "6 8",
-		"ATMdomain": "'lmdz'",
-		"RatioServer2": "50"
+		"UsingServer2": ["true"],
+		"NumberServers": [6, 8],
+		"ATMdomain": ["lmdz"],
+		"RatioServer2": [50]
 	}
 ]
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_grid_algo/checkfile.def
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_grid_algo/checkfile.def	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_grid_algo/checkfile.def	(revision 1888)
@@ -1,5 +1,2 @@
-#atm_output_1.nc
-
 atm_output.nc
-
 atm_output_zoom.nc
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_grid_algo/user_param.json
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_grid_algo/user_param.json	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_grid_algo/user_param.json	(revision 1888)
@@ -1,14 +1,14 @@
 [
 	{
-		"ATMdomain": "'lmdz'",
-		"UsingServer2": "'true'",
-		"NumberServers": "2 4",
-		"RatioServer2": "50"
+		"ATMdomain": ["lmdz"],
+		"UsingServer2": ["true"],
+		"NumberServers": [2, 4],
+		"RatioServer2": [50]
 	},
 	{
-		"UsingServer2": "'false'",
-		"NumberServers": "6 8",
-		"ATMdomain": "'lmdz'",
-		"RatioServer2": "50"
+		"UsingServer2": ["true"],
+		"NumberServers": [6, 8],
+		"ATMdomain": ["lmdz"],
+		"RatioServer2": [50]
 	}
 ]
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_scalar_algo/user_param.json
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_scalar_algo/user_param.json	(revision 1887)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_scalar_algo/user_param.json	(revision 1888)
@@ -1,14 +1,14 @@
 [
 	{
-		"ATMdomain": "'lmdz'",
-		"UsingServer2": "'true'",
-		"NumberServers": "2 4",
-		"RatioServer2": "50"
+		"ATMdomain": ["lmdz"],
+		"UsingServer2": ["true"],
+		"NumberServers": [2, 4],
+		"RatioServer2": [50]
 	},
 	{
-		"UsingServer2": "'false'",
-		"NumberServers": "6 8",
-		"ATMdomain": "'lmdz'",
-		"RatioServer2": "50"
+		"UsingServer2": ["true"],
+		"NumberServers": [6, 8],
+		"ATMdomain": ["lmdz"],
+		"RatioServer2": [50]
 	}
 ]