Index: XIOS/trunk/xios_test_suite/ENV/irene.env
===================================================================
--- XIOS/trunk/xios_test_suite/ENV/irene.env	(revision 1898)
+++ XIOS/trunk/xios_test_suite/ENV/irene.env	(revision 1899)
@@ -1,4 +1,5 @@
 module load subversion
 module load cmake
+module load python3
 
 CHMOD() { chmod --quiet ug+rwX,o+rX "$@" ;}
@@ -9,4 +10,6 @@
 export xios_thredds_dir=/ccc/work/cont003/thredds/p86yann/XIOS_TEST_SUITE
 export xios_reference_dir=/ccc/work/cont003/gen0826/gen0826/XIOS_TEST_SUITE_REPOSITORY
+export ref_location=/ccc/cont003/home/gencmip6/wangyush/cron_xios
+export ref_file=reference.tar.gz
 
 mkdir -p $xios_test_suite_repository ; CHMOD $xios_test_suite_repository
Index: XIOS/trunk/xios_test_suite/ENV/jeanzay.env
===================================================================
--- XIOS/trunk/xios_test_suite/ENV/jeanzay.env	(revision 1898)
+++ XIOS/trunk/xios_test_suite/ENV/jeanzay.env	(revision 1899)
@@ -1,4 +1,5 @@
 module load subversion
 module load cmake
+module load python/3.7.5
 
 CHMOD() { setfacl -m u::rwX,u:rpsl565:rwX,u:rpsl954:rwX,u:rgzi016:rwX,g::r-X,o::r-X,m::rwX "$@" ;}
@@ -9,4 +10,9 @@
 #export xios_thredds_dir=/ccc/work/cont003/thredds/p86yann/XIOS_TEST_SUITE
 export xios_reference_dir=/gpfswork/rech/psl/commun/XIOS_TEST_SUITE_REPOSITORY
+
+export ref_location=/gpfswork/rech/psl/rpsl954/cron_xios
+export ref_file=reference.tar.gz
+
+
 mkdir -p $xios_test_suite_repository ; CHMOD $xios_test_suite_repository
 #mkdir -p $xios_thredds_dir ; CHMOD $xios_thredds_dir
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/job_irene.sh
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/job_irene.sh	(revision 1898)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/job_irene.sh	(revision 1899)
@@ -1,43 +1,43 @@
 #!/bin/bash
-######################
-## CURIE   TGCC/CEA ##
-######################
-#MSUB -r XIOS
-#MSUB -o client_output.out    # standard output
-#MSUB -e client_error.err    #error output
-#MSUB -eo
-#MSUB -c 1
-#MSUB -n 48  # Number of MPI tasks (SPMD case) or cores (MPMD case)
-#MSUB -X 
-#MSUB -x 
-#MSUB -T 1800      # Wall clock limit (seconds)
-#MSUB -q skylake           # thin nodes
-#MSUB -A gen0826
-#MSUB -Q test
-#MSUB -m work,scratch
+
+export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
+export svnR=$(svn info --show-item revision ../../)
+
+echo "Start Building XIOS ... "
+bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
+
+export build_status=$?
+if [[ ${build_status} == 0 ]]
+then
+  echo "XIOS Build Finished. Start Unit Tests"
+  bash ./my_prod.sh
+  rundir=${xios_test_suite_repository}/RUN
+  mkdir -p $rundir ; CHMOD  $rundir
+  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
+
+  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+
+  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+
+  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/RUN/def_files
+  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
+
+  for i in $(ls -d test_*/)
+  do
+    mkdir -p ${rundir}/def_files/${svnR}/${i%%}
+    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
+    for j in $(ls -d ${i%%/}/CONFIG_*)
+    do
+      mkdir -p ${rundir}/def_files/${svnR}/${j%%}
+      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
+    done
+    CHMOD ${rundir}/def_files
+  done
 
 
-#============================= X64_IRENE_prod =============================
-
-
-cd $BRIDGE_MSUB_PWD
-
-export arch=X64_IRENE
-export mode=prod
-
-./run_test
-
-
-#============================= X64_IRENE_debug =============================
-
-
-cd $BRIDGE_MSUB_PWD
-
-export arch=X64_IRENE
-export mode=debug
-
-./run_test
+else
+  echo "XIOS Build Failed. Skip Unit Tests"
+fi
 
 
 
-
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/job_jeanzay.sh
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/job_jeanzay.sh	(revision 1898)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/job_jeanzay.sh	(revision 1899)
@@ -1,32 +1,43 @@
 #!/bin/bash
-##SBATCH --nodes=2
-#SBATCH --ntasks=32              # Nombre total de processus MPI
-##SBATCH --ntasks-per-node=16
-##SBATCH --cpus-per-task=1
-#SBATCH --hint=nomultithread
-#SBATCH -t 00:10:00              # Temps elapsed maximum d'exÃ©cution
-#SBATCH -o output.out     # Nom du fichier de sortie
-#SBATCH -e error.err     # Nom du fichier d'erreur
-##SBATCH -p cpu_port             # Nom de la partition d'exÃ©cution
-##SBATCH -A sos@cpu
-##SBATCH --distribution=arbitrary
-#SBATCH --account=psl@cpu
+export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
+export svnR=$(svn info --show-item revision ../../)
+export ref_location=/gpfswork/rech/psl/rpsl954/cron_xios
+export ref_file=reference.tar.gz
 
-ulimit -c 0
+echo "Start Building XIOS ... "
+bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
 
-cd ${SLURM_SUBMIT_DIR}
+export build_status=$?
+if [[ ${build_status} == 0 ]]
+then
+  echo "XIOS Build Finished. Start Unit Tests"
+  bash ./my_prod.sh
+  rundir=${xios_test_suite_repository}/RUN
+  mkdir -p $rundir ; CHMOD  $rundir
+  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
 
-#============================= X64_JEANZAY_prod =============================
+  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
 
-export arch=X64_JEANZAY
-export mode=prod
+  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
 
-time ./run_test
+  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/def_files
+  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
+
+  for i in $(ls -d test_*/)
+  do
+    mkdir -p ${rundir}/def_files/${svnR}/${i%%}
+    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
+    for j in $(ls -d ${i%%/}/CONFIG_*)
+    do
+      mkdir -p ${rundir}/def_files/${svnR}/${j%%}
+      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
+    done
+    CHMOD ${rundir}/def_files
+  done
 
 
-#============================= X64_JEANZAY_debug =============================
+else
+  echo "XIOS Build Failed. Skip Unit Tests"
+fi
 
-export arch=X64_JEANZAY
-export mode=debug
 
-time ./run_test
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/my_prod.sh
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/my_prod.sh	(revision 1898)
+++ 	(revision )
@@ -1,52 +1,0 @@
-#!/bin/bash
-
-echo "running my_prod.sh"
-
-export svnR=$(svn info --show-item revision ../../)
-svnurl=$(svn info --show-item url ../../)
-PWD=$(pwd)
-
-fn=report_${svnR}_${arch}_${mode}.txt
-echo "#revision" ${svnR} > ${fn}
-echo "#url" ${svnurl} >> ${fn}
-echo "#machine" ${xios_machine_name} >> ${fn}
-echo "#build_dir" $(pwd)/build_${arch}_${mode} >> ${fn}
-echo "#arch" $arch >> ${fn}
-echo "#mode" $mode >> ${fn}
-
-python3 step1.py
-
-
-if [[ ${xios_machine_name} == "irene" ]]; then
-  cmd=$(ccc_msub full_job_${arch}_${mode}.sh)
-  jobid="${cmd//[!0-9]/}"
-  #jobid=9999999
-
-  i=0
-  output=$(ccc_mpp | grep ${jobid})
-  while [ ! -z "$output" ]
-  do
-    echo "job" $jobid "running for about" ${i} seconds
-    sleep 5
-    ((i+=5))
-    output=$(ccc_mpp | grep ${jobid})
-  done
-fi
-
-if [[ ${xios_machine_name} == "jeanzay" ]]; then
-  cmd=$(sbatch full_job_${arch}_${mode}.sh)
-  jobid="${cmd//[!0-9]/}"
-  #jobid=99999
-  i=0
-  output=$(squeue -u rpsl954 | grep ${jobid})
-  while [ ! -z "$output" ]
-  do
-    echo "job" $jobid "running for about" ${i} seconds
-    sleep 5
-    ((i+=5))
-    output=$(squeue -u rpsl954 | grep ${jobid})
-  done
-fi
-
-
-python3 step2.py
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/my_run.sh
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/my_run.sh	(revision 1899)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/my_run.sh	(revision 1899)
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+echo "running my_run.sh"
+
+export svnR=$(svn info --show-item revision ../../)
+svnurl=$(svn info --show-item url ../../)
+PWD=$(pwd)
+
+fn=report_${svnR}_${arch}_${mode}.txt
+echo "#revision" ${svnR} > ${fn}
+echo "#url" ${svnurl} >> ${fn}
+echo "#machine" ${xios_machine_name} >> ${fn}
+echo "#build_dir" $(pwd)/build_${arch}_${mode} >> ${fn}
+echo "#arch" $arch >> ${fn}
+echo "#mode" $mode >> ${fn}
+
+python3 step1.py
+
+
+if [[ ${xios_machine_name} == "irene" ]]; then
+  cmd=$(ccc_msub full_job_${arch}_${mode}.sh)
+  jobid="${cmd//[!0-9]/}"
+
+  i=0
+  output=$(ccc_mpp | grep ${jobid})
+  while [ ! -z "$output" ]
+  do
+    echo "job" $jobid "running for about" ${i} seconds
+    sleep 5
+    ((i+=5))
+    output=$(ccc_mpp | grep ${jobid})
+  done
+fi
+
+
+
+if [[ ${xios_machine_name} == "jeanzay" ]]; then
+  cmd=$(sbatch full_job_${arch}_${mode}.sh)
+  jobid="${cmd//[!0-9]/}"
+  i=0
+  output=$(squeue -u rpsl954 | grep ${jobid})
+  while [ ! -z "$output" ]
+  do
+    echo "job" $jobid "running for about" ${i} seconds
+    sleep 5
+    ((i+=5))
+    output=$(squeue -u rpsl954 | grep ${jobid})
+  done
+fi
+
+
+python3 step2.py
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/run_test
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/run_test	(revision 1898)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/run_test	(revision 1899)
@@ -1,126 +1,43 @@
 #!/bin/bash
 
-source ../ARCH/arch-${arch}.env
-cd .. ; source load_env ; cd RUN_TEST_SUITE 
-
-export machine_name=$xios_machine_name
-export machine_full_name=$xios_full_machine_name
-export xios_dir=$(bash -c "cd ../.. && pwd" 2>&1)
-
-export reference_file=xios_reference.tar.gz
-export reference_folder=xios_reference
-
 export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
-export xios_revision=$(svn info --show-item revision ../.. 2>&1)
-export relurl=$(svn info --show-item relative-url ../.. 2>&1)
-
-
-set -x 
+export svnR=$(svn info --show-item revision ../../)
 
 echo "Start Building XIOS ... "
-bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 16 &> /dev/null"
+bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
+
 export build_status=$?
 if [[ ${build_status} == 0 ]]
 then
   echo "XIOS Build Finished. Start Unit Tests"
+  bash ./my_prod.sh
+  rundir=${xios_test_suite_repository}/RUN
+  mkdir -p $rundir ; CHMOD  $rundir
+  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
+
+  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+
+  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+
+  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/RUN/def_files
+  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
+
+  for i in $(ls -d test_*/)
+  do
+    mkdir -p ${rundir}/def_files/${svnR}/${i%%}
+    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
+    for j in $(ls -d ${i%%/}/CONFIG_*)
+    do
+      mkdir -p ${rundir}/def_files/${svnR}/${j%%}
+      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
+    done
+    CHMOD ${rundir}/def_files
+  done
+
+
 else
   echo "XIOS Build Failed. Skip Unit Tests"
 fi
 
-#----------- Fetch reference -----------
-cp ${xios_reference_dir}/${reference_file} ./
-tar -xzvf ${reference_file}
-
-rm -f ${reference_file}
-
-for i in $(ls ${reference_folder}/) 
-do
-  folder=${i%%}
-  bash -c "cd ${folder} && rm -rf config_*"
-  bash -c "cp -r ${reference_folder}/${folder}/config_* ./${folder}"
-done
-
-rm -rf ${reference_folder}
 
 
-rm -f plain_report.txt
-
-echo "#revision" ${xios_revision} >> plain_report.txt
-echo "#relurl" ${relurl} >> plain_report.txt
-echo "#machine" ${machine_name} >> plain_report.txt
-echo "#build_dir" ${xios_dir}/${build_dir} >> plain_report.txt
-echo "#arch" ${arch} >> plain_report.txt
-echo "#mode" ${mode} >> plain_report.txt
-
-if [[ ${build_status} == 0 ]]
-then
-
-rm -f setup.sh
-touch setup.sh
->setup.sh
-for i in $(ls -d test_*/)
-do
-  cp setup.py ${i%%/}      
-  cp default_param.json ${i%%/}  
-  cp param_list.py ${i%%/}      
-  cp run_sub_test.sh ${i%%/} 
-  echo "bash -c \"cd " ${i%%/} " && python setup.py\" ">> setup.sh
-  echo "echo \"setup.py called from " ${i%%/} "\"">> setup.sh
-done
-
-export output=$(python user_config.py 2>&1 >/dev/null)
-
-if [ "$output" -ne 0 ]
-then
-	echo "user_config.py failed"
-	exit
-else
-	echo "user_config.py OK"
-fi
-
-
-cmake .
-ctest -V -j16
-#ctest --output-on-failure
-make report
-
-rm -f test_*/setup.py
-rm -f test_*/run_sub_test.sh
-rm -f test_*/run_test_*.py
-rm -f test_*/CMakeLists.txt
-rm -f test_*/context_grid_dynamico.xml
-rm -f test_*/dynamico_grid.nc
-rm -f test_*/default_param.pyc
-rm -f test_*/user_param.pyc
-rm -f test_*/user_param.py.*
-
-rundir=${xios_test_suite_repository}/RUN
-mkdir -p $rundir ; CHMOD  $rundir
-mkdir -p ${rundir}/test_${machine_name} ; CHMOD ${rundir}/test_${machine_name}
-
-ll=$(wc -l plain_report.txt | awk '{print $1}')
-
-if [[ $(($ll > 6))  ]] ; then
-  #echo "report ok"
-
-  cp plain_report.txt ${rundir}/test_${machine_name}/test_${xios_revision}_${machine_name}_${arch}_${mode}.txt
-  CHMOD ${rundir}/test_${machine_name}/test_${xios_revision}_${machine_name}_${arch}_${mode}.txt
-
-  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/RUN/def_files
-  mkdir -p ${rundir}/def_files/${xios_revision} ;  CHMOD ${rundir}/def_files/${xios_revision}
-
-  for i in $(ls -d test_*/)
-  do
-    mkdir -p ${rundir}/def_files/${xios_revision}/${i%%}
-    cp ${i%%}/user_param.json ${rundir}/def_files/${xios_revision}/${i%%}      
-    for j in $(ls -d ${i%%/}/config_*)
-    do
-      mkdir -p ${rundir}/def_files/${xios_revision}/${j%%}
-      cp ${j%%}/setup/all_param.def ${rundir}/def_files/${xios_revision}/${j%%}  
-    done
-    CHMOD ${rundir}/def_files
-  done
-fi
-
-fi
-
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene	(revision 1898)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_irene	(revision 1899)
@@ -1,56 +1,13 @@
 #!/bin/bash
-module load subversion
-module load python3
 
 export arch=X64_IRENE
 export mode=prod
-export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
-export svnR=$(svn info --show-item revision ../../)
-export ref_location=/ccc/cont003/home/gencmip6/wangyush/cron_xios
-export ref_file=reference.tar.gz
 
-echo "Start Building XIOS ... "
-bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
-
-export build_status=$?
-if [[ ${build_status} == 0 ]]
-then
-  echo "XIOS Build Finished. Start Unit Tests"
-  bash ./my_prod.sh
-  rundir=${xios_test_suite_repository}/RUN
-  mkdir -p $rundir ; CHMOD  $rundir
-  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
-
-  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
-
-  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
-
-  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/RUN/def_files
-  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
-
-  for i in $(ls -d test_*/)
-  do
-    mkdir -p ${rundir}/def_files/${svnR}/${i%%}
-    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
-    for j in $(ls -d ${i%%/}/CONFIG_*)
-    do
-      mkdir -p ${rundir}/def_files/${svnR}/${j%%}
-      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
-    done
-    CHMOD ${rundir}/def_files
-  done
+bash ./run_test
 
 
-else
-  echo "XIOS Build Failed. Skip Unit Tests"
-fi
+export arch=X64_IRENE
+export mode=debug
 
+bash ./run_test
 
-
-
-#ccc_msub -E "--wait" job_irene.sh 
-
-#bash -c "python generate_test.py"
-#mv _test_${xios_machine_name}_info.js test_${xios_machine_name}_info.js
-#copy_to_thredds  test_${xios_machine_name}_info.js
-#mv test_${xios_machine_name}_info.js _test_${xios_machine_name}_info.js
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_jeanzay
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_jeanzay	(revision 1898)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/run_test_jeanzay	(revision 1899)
@@ -1,54 +1,12 @@
 #!/bin/bash
-module load subversion
-module load python/3.7.5
 
 export arch=X64_JEANZAY
 export mode=prod
-export build_dir=xios_test_suite/RUN_TEST_SUITE/build_${arch}_${mode}
-export svnR=$(svn info --show-item revision ../../)
-export ref_location=/gpfswork/rech/psl/rpsl954/cron_xios
-export ref_file=reference.tar.gz
 
-echo "Start Building XIOS ... "
-bash -c "cd ../.. && ./make_xios --arch_path `pwd`/../ARCH --arch ${arch} --${mode} --build_dir ${build_dir} --job 4"
-
-export build_status=$?
-if [[ ${build_status} == 0 ]]
-then
-  echo "XIOS Build Finished. Start Unit Tests"
-  bash ./my_prod.sh
-  rundir=${xios_test_suite_repository}/RUN
-  mkdir -p $rundir ; CHMOD  $rundir
-  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
-
-  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
-
-  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
-
-  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/def_files
-  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
-
-  for i in $(ls -d test_*/)
-  do
-    mkdir -p ${rundir}/def_files/${svnR}/${i%%}
-    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
-    for j in $(ls -d ${i%%/}/CONFIG_*)
-    do
-      mkdir -p ${rundir}/def_files/${svnR}/${j%%}
-      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
-    done
-    CHMOD ${rundir}/def_files
-  done
+bash ./run_test
 
 
-else
-  echo "XIOS Build Failed. Skip Unit Tests"
-fi
+export arch=X64_JEANZAY
+export mode=debug
 
-
-#sbatch --wait job_jeanzay.sh 
-
-#bash -c "python generate_test.py"
-#mv _test_${xios_machine_name}_info.js test_${xios_machine_name}_info.js
-#copy_to_forge  test_${xios_machine_name}_info.js
-#mv test_${xios_machine_name}_info.js _test_${xios_machine_name}_info.js
+bash ./run_test
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1898)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1899)
@@ -42,4 +42,8 @@
         with open(fn, "w") as fh:
             fh.write("#!/bin/bash\n")
+            fh.write("#====================================================\n")
+            fh.write("# Generated by step1.py\n")
+            fh.write("# Called by my_run.sh -> run_test -> run_test_irene\n")
+            fh.write("#====================================================\n")
             fh.write("#MSUB -r XIOS\n")
             fh.write("#MSUB -eo\n")
@@ -61,4 +65,8 @@
         with open(fn, "w") as fh:
             fh.write("#!/bin/bash\n")
+            fh.write("#====================================================\n")
+            fh.write("# Generated by step1.py\n")
+            fh.write("# Called by my_run.sh -> run_test -> run_test_jeanzay\n")
+            fh.write("#====================================================\n")
             fh.write("#SBATCH --ntasks="+str(n)+"\n")
             fh.write("#SBATCH --hint=nomultithread\n")
@@ -90,4 +98,8 @@
         with open("full_job_"+arch+"_"+mode+".sh", "w") as fh:
             fh.write("#!/bin/bash\n")
+            fh.write("#====================================================\n")
+            fh.write("# Generated by step1.py\n")
+            fh.write("# Called by my_run.sh -> run_test -> run_test_irene\n")
+            fh.write("#====================================================\n")
             fh.write("#MSUB -r XIOS\n")
             fh.write("#MSUB -eo\n")
@@ -112,4 +124,8 @@
         with open("full_job_"+arch+"_"+mode+".sh", "w") as fh:
             fh.write("#!/bin/bash\n")
+            fh.write("#====================================================\n")
+            fh.write("# Generated by step1.py\n")
+            fh.write("# Called by my_run.sh -> run_test -> run_test_jeanzay\n")
+            fh.write("#====================================================\n")
             fh.write("#SBATCH --ntasks="+str(nb_proc_jz)+"\n")
             fh.write("#SBATCH --hint=nomultithread\n")
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/step3.py
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/step3.py	(revision 1898)
+++ 	(revision )
@@ -1,52 +1,0 @@
-import glob
-import sys
-import subprocess
-import os
-import json
-import itertools
-import copy
-
-mode=os.getenv("mode")
-arch=os.getenv("arch")
-svnr=os.getenv("svnR")
-repository=os.getenv("xios_test_suite_repository")
-
-def OSinfo(runthis):
-    red = lambda text: '\033[0;31m' + text + '\033[0m'
-    osstdout = subprocess.Popen(runthis, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.STDOUT, close_fds=True)
-    theInfo = osstdout.communicate()[0].strip()
-    if osstdout.returncode!=0:
-        print(red(runthis+" FAILED"))
-        print(theInfo)
-        sys.exit()
-    # else:
-    #     print(runthis+" OK")
-
-
-def get_default_param():
-    f=open("default_param.json", 'r')
-    default_param = json.load(f)
-    f.close()
-    return default_param[0]
-
-def nonblank_lines(f):
-    for l in f:
-        line = l.rstrip()
-        if line and not line.startswith("#"):
-            yield line
-
-def main():
-    print(svnr) 
-    print(repository)
-    test_folder_list = glob.glob('test_*')
-
-    for test_folder in test_folder_list:
-        OSinfo("cp "+test_folder+"/user_param.json "+repository+"/RUN/def_files/"+svnr+"/"+test_folder)
-        config_list = glob.glob(test_folder+"/CONFIG_*")
-        #print(*config_list, sep = "\n")
-        
-        
-                   
-
-if __name__== "__main__":
-  main()
Index: XIOS/trunk/xios_test_suite/cron_script_irene
===================================================================
--- XIOS/trunk/xios_test_suite/cron_script_irene	(revision 1898)
+++ 	(revision )
@@ -1,33 +1,0 @@
-#/bin/bash
-set -x 
-xios_branch=trunk
-xios_svn_rep="svn+ssh://forge.ipsl.jussieu.fr/ipsl/forge/projets/ioserver/svn/XIOS"
-xios_test_suite_dir="/ccc/scratch/cont003/gen0826/gen0826/XIOS_TEST_SUITE"
-
-#permission for group
-CHMOD() { chmod --quiet ug+rwX,o+rX "$@" ;}
-
-mkdir -p $xios_test_suite_dir ; CHMOD $xios_test_suite_dir
-mkdir -p $xios_test_suite_dir/$xios_branch ; CHMOD $xios_test_suite_dir/$xios_branch
-
-full_branch_dir=${xios_test_suite_dir}/$xios_branch
-full_svn_rep=$xios_svn_rep/$xios_branch
-
-cd $full_branch_dir
-
-if [ ! -f "./last_rev_tested" ]; then
-  echo 0 > ./last_rev_tested 
-  CHMOD ./last_rev_tested 
-fi
-
-last_rev=`cat ./last_rev_tested`
-current_rev=`svn info --show-item last-changed-revision $full_svn_rep`
-
-if [ "$current_rev" -gt "$last_rev" ];
-then 
-    echo $current_rev > last_rev_tested
-    CHMOD ./last_rev_tested 
-    svn co $full_svn_rep xios_rev_$current_rev
-    (cd xios_rev_$current_rev/xios_test_suite && ./launch_all)
-    CHMOD -R xios_rev_$current_rev
-fi;
Index: XIOS/trunk/xios_test_suite/cron_script_jeanzay
===================================================================
--- XIOS/trunk/xios_test_suite/cron_script_jeanzay	(revision 1898)
+++ 	(revision )
@@ -1,34 +1,0 @@
-#/bin/bash
-
-xios_branch=trunk
-xios_svn_rep="svn+ssh://forge.ipsl.jussieu.fr/ipsl/forge/projets/ioserver/svn/XIOS"
-xios_test_suite_dir="/gpfsscratch/rech/psl/commun/XIOS_TEST_SUITE"
-
-#permission for group
-CHMOD() { setfacl -m u::rwX,u:rpsl565:rwX,u:rpsl954:rwX,u:rgzi016:rwX,g::r-X,o::r-X,m::rwX "$@" ;}
-
-
-mkdir -p $xios_test_suite_dir ; CHMOD $xios_test_suite_dir
-mkdir -p $xios_test_suite_dir/$xios_branch ; CHMOD $xios_test_suite_dir/$xios_branch
-
-full_branch_dir=${xios_test_suite_dir}/$xios_branch
-full_svn_rep=$xios_svn_rep/$xios_branch
-
-cd $full_branch_dir
-
-if [ ! -f "./last_rev_tested" ]; then
-  echo 0 > ./last_rev_tested 
-  CHMOD ./last_rev_tested 
-fi
-
-last_rev=`cat ./last_rev_tested`
-current_rev=`svn info --show-item revision $full_svn_rep`
-
-if [ "$current_rev" -gt "$last_rev" ];
-then 
-    echo $current_rev > last_rev_tested
-    CHMOD ./last_rev_tested 
-    svn co $full_svn_rep xios_rev_$current_rev
-    (cd xios_rev_$current_rev/xios_test_suite && ./launch_all)
-    CHMOD -R xios_rev_$current_rev
-fi;