Index: XIOS/branchs/xios-2.5/src/client.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/client.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/client.cpp	(revision 1902)
@@ -247,7 +247,8 @@
       }
 
+
+      /* MPI_Comm_free(&interComm); */ // WARNING remove freeing communicator !! --> deadlock raised, to be checked
       for (std::list<MPI_Comm>::iterator it = contextInterComms.begin(); it != contextInterComms.end(); it++)
-        MPI_Comm_free(&(*it));
-      MPI_Comm_free(&interComm);
+        /* MPI_Comm_free(&(*it)) */ ; // WARNING remove freeing communicator !! --> deadlock raised, to be checked
       MPI_Comm_free(&intraComm);
 
@@ -310,8 +311,9 @@
         fileNameClient << fileName << "_" << std::setfill('0') << std::setw(numDigit) << getRank() << ext;
 
+
       fb->open(fileNameClient.str().c_str(), std::ios::out);
       if (!fb->is_open())
         ERROR("void CClient::openStream(const StdString& fileName, const StdString& ext, std::filebuf* fb)",
-              << std::endl << "Can not open <" << fileNameClient.str() << "> file to write the client log(s).");
+              << std::endl << "Can not open <" << fileNameClient << "> file to write the client log(s).");
     }
 
Index: XIOS/branchs/xios-2.5/src/data_output.hpp
===================================================================
--- XIOS/branchs/xios-2.5/src/data_output.hpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/data_output.hpp	(revision 1902)
@@ -59,5 +59,5 @@
             virtual void writeTimeDimension_(void)           = 0;
             virtual void writeTimeAxis_ (CField*     field,
-                                         const boost::shared_ptr<CCalendar> cal) = 0;
+                                         const shared_ptr<CCalendar> cal) = 0;
 
             /// PropriÃ©tÃ©s protÃ©gÃ©es ///
Index: XIOS/branchs/xios-2.5/src/group_factory_decl.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/group_factory_decl.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/group_factory_decl.cpp	(revision 1902)
@@ -5,16 +5,16 @@
 {
 # define  macro(U) \
-  template void CGroupFactory::AddGroup<U>(boost::shared_ptr<U> pgroup,boost::shared_ptr<U> cgroup); \
-  template void CGroupFactory::AddChild<U>(boost::shared_ptr<U> group, boost::shared_ptr<U::RelChild> child); \
-  template boost::shared_ptr<U>  CGroupFactory::GetGroup<U>(boost::shared_ptr<U> group, const StdString & id); \
-  template boost::shared_ptr<U::RelChild> CGroupFactory::GetChild<U>(boost::shared_ptr<U> group, const StdString & id); \
-  template int CGroupFactory::GetGroupNum<U>(boost::shared_ptr<U> group); \
-  template int CGroupFactory::GetGroupIdNum<U>(boost::shared_ptr<U> group); \
-  template int CGroupFactory::GetChildNum<U>(boost::shared_ptr<U> group); \
+  template void CGroupFactory::AddGroup<U>(shared_ptr<U> pgroup,shared_ptr<U> cgroup); \
+  template void CGroupFactory::AddChild<U>(shared_ptr<U> group, shared_ptr<U::RelChild> child); \
+  template shared_ptr<U>  CGroupFactory::GetGroup<U>(shared_ptr<U> group, const StdString & id); \
+  template shared_ptr<U::RelChild> CGroupFactory::GetChild<U>(shared_ptr<U> group, const StdString & id); \
+  template int CGroupFactory::GetGroupNum<U>(shared_ptr<U> group); \
+  template int CGroupFactory::GetGroupIdNum<U>(shared_ptr<U> group); \
+  template int CGroupFactory::GetChildNum<U>(shared_ptr<U> group); \
   template int CGroupFactory::GetChildIdNum<U>(boost::shared_ptr<U> group); \
-  template bool CGroupFactory::HasGroup<U>(boost::shared_ptr<U> group, const StdString & id); \
+  template bool CGroupFactory::HasGroup<U>(shared_ptr<U> group, const StdString & id); \
   template bool CGroupFactory::HasChild<U>(boost::shared_ptr<U> group, const StdString & id); \
-  template boost::shared_ptr<U> CGroupFactory::CreateGroup<U>(boost::shared_ptr<U> group, const StdString & id ); \
-  template boost::shared_ptr<U::RelChild>  CGroupFactory::CreateChild<U>(boost::shared_ptr<U> group, const StdString & id);
+  template shared_ptr<U> CGroupFactory::CreateGroup<U>(shared_ptr<U> group, const StdString & id ); \
+  template shared_ptr<U::RelChild>  CGroupFactory::CreateChild<U>(shared_ptr<U> group, const StdString & id);
 
   macro(CFieldGroup)
Index: XIOS/branchs/xios-2.5/src/node/axis.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/node/axis.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/node/axis.cpp	(revision 1902)
@@ -623,5 +623,5 @@
       
         std::vector<int> serverZeroIndex;
-        serverZeroIndex = serverDescription.computeServerGlobalIndexInRange(std::make_pair(indexBegin, indexEnd), 0);      
+        serverZeroIndex = serverDescription.computeServerGlobalIndexInRange(std::make_pair<size_t,size_t>(indexBegin, indexEnd), 0);      
 
         std::list<int> serverZeroIndexLeader;
Index: XIOS/branchs/xios-2.5/src/node/context.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/node/context.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/node/context.cpp	(revision 1902)
@@ -23,5 +23,5 @@
 namespace xios {
 
-  boost::shared_ptr<CContextGroup> CContext::root;
+  shared_ptr<CContextGroup> CContext::root;
 
    /// ////////////////////// DÃ©finitions ////////////////////// ///
@@ -66,5 +66,5 @@
    CContextGroup* CContext::getRoot(void)
    {
-      if (root.get()==NULL) root=boost::shared_ptr<CContextGroup>(new CContextGroup(xml::CXMLNode::GetRootName()));
+      if (root.get()==NULL) root=shared_ptr<CContextGroup>(new CContextGroup(xml::CXMLNode::GetRootName()));
       return root.get();
    }
@@ -476,5 +476,5 @@
          //! Free internally allocated communicators
          for (std::list<MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
-           MPI_Comm_free(&(*it));
+           /* MPI_Comm_free(&(*it)) */ ; // WARNING remove freeing communicator !! --> deadlock raised, to be checked
          comms.clear();
 
@@ -518,5 +518,5 @@
          //! Free internally allocated communicators
          for (std::list<MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
-           MPI_Comm_free(&(*it));
+           /* MPI_Comm_free(&(*it)) */;  // WARNING remove freeing communicator !! --> deadlock raised, to be checked
          comms.clear();
 
@@ -532,5 +532,5 @@
    {
      for (std::list<MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
-       MPI_Comm_free(&(*it));
+       /* MPI_Comm_free(&(*it)) */ ; // WARNING remove freeing communicator !! --> deadlock raised, to be checked
      comms.clear();
    }
Index: XIOS/branchs/xios-2.5/src/node/context.hpp
===================================================================
--- XIOS/branchs/xios-2.5/src/node/context.hpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/node/context.hpp	(revision 1902)
@@ -241,5 +241,5 @@
 
          // Context root
-         static boost::shared_ptr<CContextGroup> root;
+         static shared_ptr<CContextGroup> root;
 
          // Determine context on client or not
Index: XIOS/branchs/xios-2.5/src/node/domain.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/node/domain.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/node/domain.cpp	(revision 1902)
@@ -1834,6 +1834,6 @@
            CServerDistributionDescription serverDescription(nGlobDomain, nbServer);
            std::vector<int> serverZeroIndex;
-           if (isUnstructed_) serverZeroIndex = serverDescription.computeServerGlobalIndexInRange(std::make_pair(indexBegin, indexEnd), 0);
-           else serverZeroIndex = serverDescription.computeServerGlobalIndexInRange(std::make_pair(indexBegin, indexEnd), 1);
+           if (isUnstructed_) serverZeroIndex = serverDescription.computeServerGlobalIndexInRange(std::make_pair<size_t,size_t>(indexBegin, indexEnd), 0);
+           else serverZeroIndex = serverDescription.computeServerGlobalIndexInRange(std::make_pair<size_t,size_t>(indexBegin, indexEnd), 1);
 
            std::list<int> serverZeroIndexLeader;
Index: XIOS/branchs/xios-2.5/src/node/file.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/node/file.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/node/file.cpp	(revision 1902)
@@ -545,5 +545,5 @@
          if (isOpen) data_out->closeFile();
 
-        data_out = boost::shared_ptr<CDataOutput>(new CNc4DataOutput(this, oss.str(), append, useClassicFormat, useCFConvention,
+        data_out = shared_ptr<CDataOutput>(new CNc4DataOutput(this, oss.str(), append, useClassicFormat, useCFConvention,
                                                               fileComm, multifile, isCollective, time_counter_name));
         isOpen = true;
@@ -669,7 +669,7 @@
       bool ugridConvention = !convention.isEmpty() ? (convention == convention_attr::UGRID) : false;
       if (time_counter_name.isEmpty())
-        data_in = boost::shared_ptr<CDataInput>(new CNc4DataInput(oss.str(), readComm, multifile, isCollective, readMetaDataPar, ugridConvention));
+        data_in = shared_ptr<CDataInput>(new CNc4DataInput(oss.str(), readComm, multifile, isCollective, readMetaDataPar, ugridConvention));
       else
-        data_in = boost::shared_ptr<CDataInput>(new CNc4DataInput(oss.str(), readComm, multifile, isCollective, readMetaDataPar, ugridConvention, time_counter_name));
+        data_in = shared_ptr<CDataInput>(new CNc4DataInput(oss.str(), readComm, multifile, isCollective, readMetaDataPar, ugridConvention, time_counter_name));
       isOpen = true;
     }
Index: XIOS/branchs/xios-2.5/src/object_factory_decl.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/object_factory_decl.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/object_factory_decl.cpp	(revision 1902)
@@ -5,10 +5,10 @@
 {
 #define macro(U) \
-  template boost::shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& id);  \
-  template boost::shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& context,const StdString& id); \
-  template boost::shared_ptr<U> CObjectFactory::GetObject<U>(const U* const object); \
+  template shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& id);  \
+  template shared_ptr<U> CObjectFactory::GetObject<U>(const StdString& context,const StdString& id); \
+  template shared_ptr<U> CObjectFactory::GetObject<U>(const U* const object); \
   template int CObjectFactory::GetObjectNum<U>(void); \
   template int CObjectFactory::GetObjectIdNum<U>(void); \
-  template const std::vector<boost::shared_ptr<U> >& CObjectFactory::GetObjectVector<U>(const StdString& context ); \
+  template const std::vector<shared_ptr<U> >& CObjectFactory::GetObjectVector<U>(const StdString& context ); \
   template bool CObjectFactory::HasObject<U>(const StdString& id); \
   template bool CObjectFactory::HasObject<U>(const StdString& context,const StdString& id); \
Index: XIOS/branchs/xios-2.5/src/object_template.hpp
===================================================================
--- XIOS/branchs/xios-2.5/src/object_template.hpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/object_template.hpp	(revision 1902)
@@ -83,6 +83,6 @@
          static T* get(const string& contextId, const string& id) ;
          T* get(void) ;
-         boost::shared_ptr<T> getShared(void) ;
-         static boost::shared_ptr<T> getShared(const T* ptr) ;
+         shared_ptr<T> getShared(void) ;
+         static shared_ptr<T> getShared(const T* ptr) ;
 
          static T* create(const string& id=string("")) ;
Index: XIOS/branchs/xios-2.5/src/object_template_impl.hpp
===================================================================
--- XIOS/branchs/xios-2.5/src/object_template_impl.hpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/object_template_impl.hpp	(revision 1902)
@@ -412,5 +412,5 @@
 
    template <typename T>
-   boost::shared_ptr<T> CObjectTemplate<T>::getShared(const T* ptr)
+   shared_ptr<T> CObjectTemplate<T>::getShared(const T* ptr)
    {
      return CObjectFactory::GetObject<T>(ptr);
@@ -418,5 +418,5 @@
 
    template <typename T>
-   boost::shared_ptr<T> CObjectTemplate<T>::getShared(void)
+   shared_ptr<T> CObjectTemplate<T>::getShared(void)
    {
      return CObjectFactory::GetObject<T>((T*)this);
@@ -426,8 +426,8 @@
    const vector<T*> CObjectTemplate<T>::getAll()
    {
-     const vector< boost::shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>();
+     const vector< shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>();
      vector<T*> vect;
 
-     typename vector<boost::shared_ptr<T> >::const_iterator it;
+     typename vector<shared_ptr<T> >::const_iterator it;
      for(it=shared_vect.begin();it!=shared_vect.end();++it) vect.push_back(it->get());
      return vect;
@@ -437,8 +437,8 @@
    const vector<T*> CObjectTemplate<T>::getAll(const string & id)
    {
-     const vector< boost::shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>(id);
+     const vector< shared_ptr<T> >& shared_vect= CObjectFactory::GetObjectVector<T>(id);
      vector<T*> vect;
 
-     typename vector<boost::shared_ptr<T> >::const_iterator it;
+     typename vector<shared_ptr<T> >::const_iterator it;
      for(it=shared_vect.begin();it!=shared_vect.end();++it) vect.push_back(it->get());
      return vect;
Index: XIOS/branchs/xios-2.5/src/server.cpp
===================================================================
--- XIOS/branchs/xios-2.5/src/server.cpp	(revision 1900)
+++ XIOS/branchs/xios-2.5/src/server.cpp	(revision 1902)
@@ -404,5 +404,5 @@
 
       for (std::list<MPI_Comm>::iterator it = contextInterComms.begin(); it != contextInterComms.end(); it++)
-        MPI_Comm_free(&(*it));
+        /* MPI_Comm_free(&(*it)) */; // WARNING remove freeing communicator !! --> deadlock raised, to be checked
 
       for (std::list<MPI_Comm>::iterator it = contextIntraComms.begin(); it != contextIntraComms.end(); it++)
@@ -416,5 +416,5 @@
 
         for (std::list<MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++)
-          MPI_Comm_free(&(*it));
+          /* MPI_Comm_free(&(*it)) */ ; // WARNING remove freeing communicator !! --> deadlock raised, to be checked
 
       MPI_Comm_free(&intraComm);
@@ -478,5 +478,5 @@
                 MPI_Send(&msg,1,MPI_INT,0,0,*itr) ;
               }
-              MPI_Comm_free(&(*it));
+              /* MPI_Comm_free(&(*it)); */ // WARNING remove freeing communicator !! --> deadlock raised, to be checked
               interCommLeft.erase(it) ;
               break ;
@@ -791,5 +791,5 @@
       if (!fb->is_open())
         ERROR("void CServer::openStream(const StdString& fileName, const StdString& ext, std::filebuf* fb)",
-              << std::endl << "Can not open <" << fileNameClient.str() << "> file to write the server log(s).");
+              << std::endl << "Can not open <" << fileNameClient << "> file to write the server log(s).");
     }
 