Index: /XIOS/trunk/generic_testcase/context_atm.xml
===================================================================
--- /XIOS/trunk/generic_testcase/context_atm.xml	(revision 1911)
+++ /XIOS/trunk/generic_testcase/context_atm.xml	(revision 1912)
@@ -21,10 +21,4 @@
   </axis_definition>
 
-  <axis_definition>
-    <axis id="axis_zoom" axis_ref="axis">
-        <zoom_axis begin="0" n="5"/>
-    </axis>
-  </axis_definition>
-
   <scalar_definition>
     <scalar id="scalar" /> 
@@ -129,7 +123,4 @@
     </grid>
 
- 
- 
- 
  
  
@@ -228,61 +219,5 @@
     </grid>
 
-
-
-
-
-
-
-
-
-
-    <grid id="grid_vert_reduce">
-      <domain domain_ref="domain" />
-      <scalar >
-        <reduce_axis operation="sum" />
-      </scalar>
-    </grid>
-
-    <grid id="grid_horiz_reduce">
-      <scalar >
-        <reduce_domain operation="sum" />
-      </scalar>
-      <axis axis_ref="axis" />
-    </grid>
-      
-    <grid id="grid_zoom_vert">
-      <domain domain_ref="domain" />
-      <axis axis_ref="axis_zoom" />
-    </grid>
-
-    <grid id="grid_zoom_vert_sum">
-      <scalar >
-        <reduce_domain operation="sum" />
-      </scalar>
-      <axis axis_ref="axis_zoom" />
-    </grid>
-
-   <grid id="grid_lat">
-       <axis axis_ref="domain_Y">
-         <reduce_domain direction="iDir" operation="sum"/> 
-       </axis>
-       <axis axis_ref="axis" />
-    </grid>
-    
-
-    <grid id="grid3D_invert">
-      <domain domain_ref="domain">
-        <reorder_domain invert_lat="true" />
-      </domain>
-      <axis axis_ref="axis" />
-    </grid>
-    
-    <grid id="grid2D_invert">
-      <domain domain_ref="domain">
-        <reorder_domain invert_lat="true" shift_lon_fraction="0.5" min_lon="0" max_lon="360"/>
-      </domain>
-    </grid>
-
-    
+   
   </grid_definition>
   
@@ -290,5 +225,5 @@
   <field_definition level="1" prec="8" operation="instant" freq_op="1ts" enabled=".true." default_value="1.e+20" detect_missing_value="true">
     <field id="field2D" grid_ref="grid2D" />
-    <field id="field3D" grid_ref="grid3D" build_workflow_graph="true"  />
+    <field id="field3D" grid_ref="grid3D"  />
     <field id="pressure" grid_ref="grid3D"  />
     <field id="field3D_recv" read_access="true" grid_ref="grid3D"  field_ref="field3D" />
@@ -303,8 +238,4 @@
     <field id="field_YZ" grid_ref="grid_YZ" />
 
-    <field id="field_zoom_vert" field_ref="field3D" grid_ref="grid_zoom_vert"  />
-    <field id="field_zoom_vert_sum" field_ref="field_zoom_vert" grid_ref="grid_zoom_vert_sum"  />
-
-
 
     <field id="field2D_W" grid_ref="grid2D_W"/>
@@ -323,6 +254,4 @@
 
 
-
-
     <field id="other_field2D" grid_ref="other_grid2D"/>
     <field id="other_field3D" grid_ref="other_grid3D"  />
@@ -353,68 +282,57 @@
     <field id="other_field_YZW" grid_ref="other_grid_YZW" />
 
-
-
-
     
     
   </field_definition>
+
+
+
+<!-- implementation of specifics test case -->
+<!-- simplest test cases : output data to file -->
+
   
 
   <file_definition  type="one_file" >
     
-    <file id="atm_output" output_freq="4ts" type="one_file" enabled="true">
-<!--      <field field_ref="field3D" />
-      <field field_ref="field2D" /> 
-      <field field_ref="field3D" grid_ref="grid_vert_reduce" name="field_vert_reduced" /> 
-      <field field_ref="field3D" grid_ref="grid_horiz_reduce" name="field_horiz_reduced" />
-      <field field_ref="field_zoom_vert"  /> 
-      <field field_ref="field_zoom_vert_sum"  /> 
-      <field field_ref="pressure"  /> 
-      <field field_ref="field3D_resend" /> -->
-       
-       <field field_ref="field3D" enabled="true"/>
-       <field field_ref="field2D" enabled="true"/> 
-       <field field_ref="field_X" enabled="true"/>
-       <field field_ref="field_Y" enabled="true"/>
-       <field field_ref="field_XY" enabled="true"/>
-       <field field_ref="field_Z" enabled="true"/>
-       <field field_ref="field_XYZ" enabled="true"/>
-       <field field_ref="field_XZ" enabled="true"/>
-       <field field_ref="field_YZ" enabled="true"/>
+    <file id="atm_output" output_freq="1ts" type="one_file" enabled="true">
+       <field field_ref="field3D" />
+       <field field_ref="field2D" /> 
+       <field field_ref="field_X" />
+       <field field_ref="field_Y" />
+       <field field_ref="field_XY" />
+       <field field_ref="field_Z" />
+       <field field_ref="field_XYZ" />
+       <field field_ref="field_XZ" />
+       <field field_ref="field_YZ" />
+       <field field_ref="pressure"  /> 
+       <field field_ref="field3D_resend" />
     </file>
 
     <file id="atm_output_other" output_freq="1ts" type="one_file" enabled="true">
-       <field field_ref="other_field3D" enabled="true"/>
-       <field field_ref="other_field2D" enabled="true"/> 
-       <field field_ref="other_field_X" enabled="true"/>
-       <field field_ref="other_field_Y" enabled="true"/>
-       <field field_ref="other_field_XY" enabled="true"/>
-       <field field_ref="other_field_Z" enabled="true"/>
-       <field field_ref="other_field_XYZ" enabled="true"/>
-       <field field_ref="other_field_XZ" enabled="true"/>
-       <field field_ref="other_field_YZ" enabled="true"/>
+       <field field_ref="other_field3D" />
+       <field field_ref="other_field2D" /> 
+       <field field_ref="other_field_X" />
+       <field field_ref="other_field_Y" />
+       <field field_ref="other_field_XY" />
+       <field field_ref="other_field_Z" />
+       <field field_ref="other_field_XYZ" />
+       <field field_ref="other_field_XZ" />
+       <field field_ref="other_field_YZ" />
+       <field field_ref="other_pressure"  /> 
+       <field field_ref="other_field3D_resend" />
     </file>
 
-    <file id="atm_output_W" output_freq="1ts" enabled="false">
-       <field field_ref="field3D_W" enabled="true"/>
-       <field field_ref="field2D_W" enabled="true"/> 
-       <field field_ref="field_XW" enabled="true"/>
-       <field field_ref="field_YW" enabled="true"/>
-       <field field_ref="field_XYW" enabled="true"/>
-       <field field_ref="field_ZW" enabled="true"/>
-       <field field_ref="field_XYZW" enabled="true"/>
-       <field field_ref="field_XZW" enabled="true"/>
-       <field field_ref="field_YZW" enabled="true"/>
+    <file id="atm_output_W" output_freq="1ts" enabled="true">
+       <field field_ref="field3D_W" />
+       <field field_ref="field2D_W" /> 
+       <field field_ref="field_XW" />
+       <field field_ref="field_YW" />
+       <field field_ref="field_XYW" />
+       <field field_ref="field_ZW" />
+       <field field_ref="field_XYZW" />
+       <field field_ref="field_XZW" />
+       <field field_ref="field_YZW" />
     </file>
     
-
-    <file id="atm_output_reorder" output_freq="1ts" enabled="false" >
-       <field field_ref="field2D" grid_ref="grid2D_invert" enabled="true"/>
-    </file>
-    
-    <file id="test_grid_lat" output_freq="1ts" enabled="false">
-      <field field_ref="field3D" operation="instant" />
-      <field id="field_reduce_lat" field_ref="field3D" grid_ref="grid_lat" operation="instant" />
-    </file>
     
   </file_definition>
Index: /XIOS/trunk/generic_testcase/param.def
===================================================================
--- /XIOS/trunk/generic_testcase/param.def	(revision 1911)
+++ /XIOS/trunk/generic_testcase/param.def	(revision 1912)
@@ -1,4 +1,4 @@
 &params_run
 duration='1d'
-nb_proc_atm=4
+nb_proc_atm=1
 /