Index: XIOS/trunk/xios_test_suite/HTML/generate_compile_table.js
===================================================================
--- XIOS/trunk/xios_test_suite/HTML/generate_compile_table.js	(revision 1912)
+++ XIOS/trunk/xios_test_suite/HTML/generate_compile_table.js	(revision 1913)
@@ -1,2 +1,3 @@
+var compile_dict={"-1": "&#10060;", "1": "&#9989;"}
 function generateCompileTable()
 {
@@ -224,5 +225,5 @@
           if(part_compile_info[k][2] == tmp_arch_list[j] && part_compile_info[k][3] == tmp_mode_list[i])
           {
-            myCell.innerHTML = (part_compile_info[k][4])
+            myCell.innerHTML = compile_dict[part_compile_info[k][4]]
             break
           }
Index: XIOS/trunk/xios_test_suite/HTML/generate_test_table.js
===================================================================
--- XIOS/trunk/xios_test_suite/HTML/generate_test_table.js	(revision 1912)
+++ XIOS/trunk/xios_test_suite/HTML/generate_test_table.js	(revision 1913)
@@ -1,3 +1,3 @@
-var dict = {"-1": "&#10060;", "0": "&#10062;", "1": "&#9989;"}
+var dict = {"-1": "&#10060;", "0": "&#10067;", "1": "&#9989;"}
 
 function generateTestTable()
@@ -319,5 +319,5 @@
     myCell_5 = document.createElement("a")
     myCell_5.innerHTML = ("show location")
-    myCell_5.onclick = function() {show_text(full_dir.replace(build_dir, "GENERIC_TESTCASE/")+status[0])}
+    myCell_5.onclick = function() {show_text(full_dir.replace(build_dir, "")+status[0])}
     myCell_2.appendChild(myCell_3)
     myCell_3.appendChild(myCell_4)
@@ -383,5 +383,5 @@
     myCell_5 = document.createElement("a")
     myCell_5.innerHTML = ("show location")
-    myCell_5.onclick = function() {show_text(full_dir.replace(build_dir, "GENERIC_TESTCASE/")+status[0]+"/"+status[1])}
+    myCell_5.onclick = function() {show_text(full_dir.replace(build_dir, "")+status[0]+"/"+status[1])}
     myCell_2.appendChild(myCell_3)
     myCell_3.appendChild(myCell_4)
Index: XIOS/trunk/xios_test_suite/HTML/xios_report.html
===================================================================
--- XIOS/trunk/xios_test_suite/HTML/xios_report.html	(revision 1912)
+++ XIOS/trunk/xios_test_suite/HTML/xios_report.html	(revision 1913)
@@ -51,5 +51,8 @@
 
 
-            <ul><li>&#10060; : compile failed / test failed</li><li>&#10062; : test result initialized</li><li>&#9989; : compile passed / test passed</li></ul>
+            <ul>
+                <li>&#10060; : compile failed / test failed</li>
+                <li>&#10067; : test result initialized</li>
+                <li>&#9989; : compile passed / test passed</li></ul>
 
         </section>
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/run_test
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/run_test	(revision 1912)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/run_test	(revision 1913)
@@ -12,26 +12,32 @@
   echo "XIOS Build Finished. Start Unit Tests"
   bash ./my_run.sh
-  rundir=${xios_test_suite_repository}/RUN
-  mkdir -p $rundir ; CHMOD  $rundir
-  mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
+  
+  if [ "$COPY_TO_SERVER" = true ]
+  then
+    echo "with files copy"
+    rundir=${xios_test_suite_repository}/RUN
+    mkdir -p $rundir ; CHMOD  $rundir
+    mkdir -p ${rundir}/test_${xios_machine_name} ; CHMOD ${rundir}/test_${xios_machine_name}
 
-  cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+    cp report_${svnR}_${arch}_${mode}.txt ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
 
-  CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
+    CHMOD ${rundir}/test_${xios_machine_name}/test_${svnR}_${xios_machine_name}_${arch}_${mode}.txt
 
-  mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/def_files
-  mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
+    mkdir -p ${rundir}/def_files ;  CHMOD ${rundir}/def_files
+    mkdir -p ${rundir}/def_files/${svnR} ;  CHMOD ${rundir}/def_files/${svnR}
 
-  for i in $(ls -d test_*/)
-  do
-    mkdir -p ${rundir}/def_files/${svnR}/${i%%} ; CHMOD ${rundir}/def_files/${svnR}/${i%%}
-    cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
-    for j in $(ls -d ${i%%/}/CONFIG_*)
+    for i in $(ls -d test_*/)
     do
-      mkdir -p ${rundir}/def_files/${svnR}/${j%%} ; CHMOD ${rundir}/def_files/${svnR}/${j%%}
-      cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
+      mkdir -p ${rundir}/def_files/${svnR}/${i%%} ; CHMOD ${rundir}/def_files/${svnR}/${i%%}
+      cp ${i%%}/user_param.json ${rundir}/def_files/${svnR}/${i%%}
+      for j in $(ls -d ${i%%/}/CONFIG_*)
+      do
+        mkdir -p ${rundir}/def_files/${svnR}/${j%%} ; CHMOD ${rundir}/def_files/${svnR}/${j%%}
+        cp ${j%%}/all_param.def ${rundir}/def_files/${svnR}/${j%%}
+      done
     done
-  done
-
+  else
+    echo "without files copy"
+  fi
 
 else
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/checkfile.def
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/checkfile.def	(revision 1912)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/checkfile.def	(revision 1913)
@@ -1,3 +1,7 @@
 
-atm_output.nc
+#atm_output.nc
+atm_output_max.nc
+atm_output_min.nc
+atm_output_sum.nc
+atm_output_ave.nc
 #atm_output_ensemble.nc
Index: XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/context_atm.xml
===================================================================
--- XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/context_atm.xml	(revision 1912)
+++ XIOS/trunk/xios_test_suite/TEST_SUITE/test_function/context_atm.xml	(revision 1913)
@@ -364,6 +364,43 @@
   <file_definition  type="one_file" >
     
-
-     <file id="atm_output" output_freq="4ts" enabled="true" >
+     <file id="atm_output_max" output_freq="4ts" enabled="true" >
+       <field field_ref="field2D"  operation = "maximum" />
+       <field field_ref="field3D"  operation = "maximum" />
+       <field field_ref="pressure" operation = "maximum" />
+     </file>
+
+
+     <file id="atm_output_min" output_freq="4ts" enabled="true" >
+       <field field_ref="field2D"  operation = "minimum" />
+       <field field_ref="field3D"  operation = "minimum" />
+       <field field_ref="pressure" operation = "minimum" />
+     </file>
+
+     <file id="atm_output_ave" output_freq="4ts" enabled="true" >
+       <field field_ref="field2D"  operation = "average" />
+       <field field_ref="field3D"  operation = "average" />
+       <field field_ref="pressure" operation = "average" />
+     </file>
+
+     <file id="atm_output_sum" output_freq="4ts" enabled="true" >
+       <field field_ref="field2D"  operation = "accumulate" />
+       <field field_ref="field3D"  operation = "accumulate" />
+       <field field_ref="pressure" operation = "accumulate" />
+     </file>
+     
+     <file id="atm_output_once" output_freq="4ts" enabled="true" >
+       <field field_ref="field2D"  operation = "once" />
+       <field field_ref="field3D"  operation = "once" />
+       <field field_ref="pressure" operation = "once" />
+     </file>
+     
+     <file id="atm_output_instant" output_freq="4ts" enabled="true" >
+       <field field_ref="field2D"  operation = "instant" />
+       <field field_ref="field3D"  operation = "instant" />
+       <field field_ref="pressure" operation = "instant" />
+     </file>
+
+
+     <file id="atm_output" output_freq="4ts" enabled="false" >
        
        <field field_ref="field2D" operation="average" enabled="true"/>
Index: XIOS/trunk/xios_test_suite/launch_test_suite
===================================================================
--- XIOS/trunk/xios_test_suite/launch_test_suite	(revision 1912)
+++ XIOS/trunk/xios_test_suite/launch_test_suite	(revision 1913)
@@ -1,4 +1,9 @@
 #!/bin/bash
-
+export COPY_TO_SERVER=false
+if [[ $1 == "--copy" ]]
+then
+  export COPY_TO_SERVER=$2
+  echo "copy to server =" ${COPY_TO_SERVER}
+fi
 source ./load_env
 mkdir -p RUN_TEST_SUITE