Index: /XIOS/trunk/xios_test_suite/COMPILE/config_compile.py
===================================================================
--- /XIOS/trunk/xios_test_suite/COMPILE/config_compile.py	(revision 1915)
+++ /XIOS/trunk/xios_test_suite/COMPILE/config_compile.py	(revision 1916)
@@ -10,8 +10,53 @@
 	if osstdout.returncode!=0:
 		print(red(runthis+" FAILED"))
-		print >> sys.stderr, osstdout.returncode
+		print(theInfo)
 		sys.exit()
-	# else:
-	# 	print(runthis+" OK")
+
+
+def generate_compile_job_irene(revision):
+    with open("job_compile_irene.sh", "w") as f:
+        f.write("#!/bin/bash\n")
+        f.write("#=====================================\n")
+        f.write("#script generated by config_compile.py\n")
+        f.write("#=====================================\n")
+        f.write("#MSUB -r XIOS_rev"+revision+"\n")        
+        f.write("#MSUB -o client_output.out\n")
+        f.write("#MSUB -e client_error.err\n")
+        f.write("#MSUB -eo\n")
+        f.write("#MSUB -c 48\n")
+        f.write("#MSUB -n 1\n")
+        f.write("#MSUB -X\n")
+        f.write("#MSUB -x\n")
+        f.write("#MSUB -T 1800\n")
+        f.write("#MSUB -q skylake\n")
+        f.write("#MSUB -A gen0826\n")
+        f.write("#MSUB -Q test\n")
+        f.write("#MSUB -m work,scratch\n")
+        f.write("cd $BRIDGE_MSUB_PWD\n")
+        f.write("cmake .\n")
+        f.write("ctest -V\n")
+        f.write("exit\n")
+
+
+
+def generate_compile_job_jeanzay(revision): 
+    print("generating compile job for jz")
+    with open("job_compile_jeanzay.sh", "w") as f:
+        f.write("#!/bin/bash\n")
+        f.write("#=====================================\n")
+        f.write("#script generated by config_compile.py\n")
+        f.write("#=====================================\n")
+        f.write("#SBATCH --ntasks=1\n")
+        f.write("#SBATCH --cpus-per-task=40\n")
+        f.write("#SBATCH --hint=nomultithread\n")
+        f.write("#SBATCH -t 00:30:00\n")
+        f.write("#SBATCH -o output.out\n") 
+        f.write("#SBATCH -e error.err \n") 
+        f.write("#SBATCH -A psl@cpu\n")
+        f.write("#SBATCH --job-name=XIOS_rev"+revision+"\n")
+        f.write("cd ${SLURM_SUBMIT_DIR}\n")
+        f.write("cmake .\n")
+        f.write("ctest -V\n")
+        f.write("exit\n")
 
 
@@ -44,5 +89,5 @@
                         configs[1] += 1
                         configs_arg[1].append(word)
-				
+    f.close()				
 
     f=open("CMakeLists.txt", "w")
@@ -73,6 +118,7 @@
     
     f.close()
-    
-    
+
+    globals()['generate_compile_job_'+machine](revision)
+
 if __name__== "__main__":
   main()
Index: OS/trunk/xios_test_suite/COMPILE/job_compile_irene.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/COMPILE/job_compile_irene.sh	(revision 1915)
+++ 	(revision )
@@ -1,26 +1,0 @@
-#!/bin/bash
-######################
-## CURIE   TGCC/CEA ##
-######################
-#MSUB -r XIOS
-#MSUB -o client_output.out    # standard output
-#MSUB -e client_error.err    #error output
-#MSUB -eo
-#MSUB -c 48
-#MSUB -n 1  # Number of MPI tasks (SPMD case) or cores (MPMD case)
-#MSUB -X 
-#MSUB -x 
-#MSUB -T 1800      # Wall clock limit (seconds)
-#MSUB -q skylake           # thin nodes
-#MSUB -A gen0826
-#MSUB -Q test
-#MSUB -m work,scratch
-
-# ------------- Compile job for Irene------------
-
-cd $BRIDGE_MSUB_PWD
-
-cmake .
-ctest -V
-
-exit
Index: OS/trunk/xios_test_suite/COMPILE/job_compile_jeanzay.sh
===================================================================
--- /XIOS/trunk/xios_test_suite/COMPILE/job_compile_jeanzay.sh	(revision 1915)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#!/bin/bash
-#SBATCH --ntasks=1              # Nombre total de processus MPI
-#SBATCH --cpus-per-task=40
-#SBATCH --hint=nomultithread
-#SBATCH -t 00:30:00              # Temps elapsed maximum d'exÃ©cution
-#SBATCH -o output.out     # Nom du fichier de sortie
-#SBATCH -e error.err     # Nom du fichier d'erreur
-#SBATCH -A psl@cpu
-
-#----------------- Compile job for Jean-Zay --------------
-
-
-cd ${SLURM_SUBMIT_DIR}
-
-cmake .
-ctest -V
-
-exit
Index: /XIOS/trunk/xios_test_suite/HTML/xios_report.html
===================================================================
--- /XIOS/trunk/xios_test_suite/HTML/xios_report.html	(revision 1915)
+++ /XIOS/trunk/xios_test_suite/HTML/xios_report.html	(revision 1916)
@@ -6,9 +6,9 @@
         <title>XIOS Unit Tests Report - Le Site Web</title>
         
-        <script src="generate_compile_table.js" type="text/javascript"></script>
-        <script src="generate_test_table.js" type="text/javascript"></script>
-
-        <script src="compile_irene_info.js" type="text/javascript"></script>
-        <script src="test_irene_info.js" type="text/javascript"></script>
+        <script src="https://forge.ipsl.jussieu.fr/ioserver/chrome/site/XIOS_TEST_SUITE/generate_compile_table.js" type="text/javascript"></script>
+        <script src="https://forge.ipsl.jussieu.fr/ioserver/chrome/site/XIOS_TEST_SUITE/generate_test_table.js" type="text/javascript"></script>
+
+        <script src="https://vesg.ipsl.upmc.fr/thredds/fileServer/work/p86yann/XIOS_TEST_SUITE/compile_irene_info.js" type="text/javascript"></script>
+        <script src="https://vesg.ipsl.upmc.fr/thredds/fileServer/work/p86yann/XIOS_TEST_SUITE/test_irene_info.js" type="text/javascript"></script>
 
         <script src="https://forge.ipsl.jussieu.fr/ioserver/chrome/site/XIOS_TEST_SUITE/compile_jeanzay_info.js" type="text/javascript"></script>
Index: /XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py
===================================================================
--- /XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1915)
+++ /XIOS/trunk/xios_test_suite/TEST_SUITE/step1.py	(revision 1916)
@@ -13,4 +13,5 @@
 arch=os.getenv("arch")
 machine=os.getenv("xios_machine_name")
+svnR=os.getenv("svnR")
 
 nb_proc_irene=40 # this must be >= NumberClients+NumberServers for all configs for all test folders
@@ -111,5 +112,5 @@
             fh.write("# Called by my_run.sh -> run_test -> run_test_irene\n")
             fh.write("#====================================================\n")
-            fh.write("#MSUB -r XIOS\n")
+            fh.write("#MSUB -r XIOS_rev"+svnR+"\n")
             fh.write("#MSUB -eo\n")
             fh.write("#MSUB -o output_"+arch+"_"+mode+".out\n")
@@ -143,4 +144,5 @@
             fh.write("#SBATCH -t 00:10:00\n")
             fh.write("#SBATCH --account=psl@cpu\n")
+            fh.write("#SBATCH --job-name=XIOS_rev"+svnR+"\n")
             fh.write("ulimit -c 0\n")
             fh.write("cd ${SLURM_SUBMIT_DIR}\n")
Index: /XIOS/trunk/xios_test_suite/launch_test_suite
===================================================================
--- /XIOS/trunk/xios_test_suite/launch_test_suite	(revision 1915)
+++ /XIOS/trunk/xios_test_suite/launch_test_suite	(revision 1916)
@@ -1,4 +1,4 @@
 #!/bin/bash
-export COPY_TO_SERVER=false
+export COPY_TO_SERVER=true
 if [[ $1 == "--copy" ]]
 then